#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF6,0x3C,0xD4,0xF6,0x50,0x14,0x09,0xAE,0xAB,0x25,0x77,0x7C,
		0xCF,0x1B,0xF6,0x1B,0x75,0xF3,0xE1,0xE8,0x03,0xEE,0x0F,0x7B,
		0xBB,0xCE,0xC0,0x54,0x6A,0x9F,0xAE,0xC7,0x52,0x75,0xF0,0xBE,
		0x15,0xB2,0x7C,0xEB,0xFC,0xA8,0xB2,0x64,0x25,0xCC,0xB2,0xAF,
		0xE4,0x06,0x58,0x84,0x1A,0xFC,0x86,0xE7,0xA7,0xFD,0xAE,0xEA,
		0xC7,0x0A,0x99,0xC7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
